﻿using System;
using Xamarin.Forms.Platform.Android;
using Xamarin.Forms;
using BlankProject.Controls;
using BlankProject.Droid.Renders;

[assembly: ExportRenderer (typeof (EntryTableView), typeof (EntryTableViewRenderer))]
namespace BlankProject.Droid.Renders
{
	public class EntryTableViewRenderer : EntryRenderer
	{
		protected override void OnElementChanged (ElementChangedEventArgs<Entry> e)
		{
			base.OnElementChanged (e);

			Control.SetTextColor (Android.Graphics.Color.Gray);
			Control.SetBackgroundColor (Android.Graphics.Color.Transparent);
			Control.SetPadding (0, 0, 0, 0);
		}
	}
}

