﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using BlankProject.ViewModels;

namespace BlankProject.Views
{
	public partial class EntryView : ContentPage
	{
		private EntryViewModel viewModel { get; set; }

		public EntryView ()
		{
			InitializeComponent ();
		}

		protected override void OnAppearing ()
		{
			base.OnAppearing ();

			if (viewModel == null) 
			{
				viewModel = new EntryViewModel ();
				BindingContext = viewModel;
			}
		}

		public void EditCancel(object sender, EventArgs args)
		{
			viewModel.IsEdit = !viewModel.IsEdit;
		}
	}
}

