﻿using Xamarin.Forms;

namespace BlankProject.Views
{
    public partial class TabbedPageView : TabbedPage
    {
        public TabbedPageView()
        {
            InitializeComponent();

            this.Children.Add(
                new NavigationPage(new TabbedPageA1View())
                {
                    Title = "Tabbed Page A1"
                }
            );

            this.Children.Add(
                new NavigationPage(new TabbedPageB1View())
                {
                    Title = "Tabbed Page B1"
                }
            );

            this.Children.Add(
                new NavigationPage(new TabbedPageC1View())
                {
                    Title = "Tabbed Page C1"
                }
            );

            this.Children.Add(
                new NavigationPage(new TabbedPageD1View())
                {
                    Title = "Tabbed Page D1"
                }
            );

            this.Children.Add(
                new NavigationPage(new TabbedPageE1View())
                {
                    Title = "Tabbed Page E1"
                }
            );

            this.Children.Add(
                new NavigationPage(new TabbedPageF1View())
                {
                    Title = "Tabbed Page F1"
                }
            );
        }
    }
}
