﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;

namespace BlankProject.Views
{
	public partial class ToolbarItemView : ContentPage
	{
		public ToolbarItemView ()
		{
			InitializeComponent ();

			BuildToolbarItemsA ();
		}

		public void BuildToolbarItemsA()
		{
			ToolbarItems.Clear ();

			ToolbarItems.Add (new ToolbarItem() {
				Text = "A1"
			});

			ToolbarItems.Add (new ToolbarItem() {
				Text = "A2"
			});
		}

		public void BuildToolbarItemsB()
		{
			ToolbarItems.Clear ();

			ToolbarItems.Add (new ToolbarItem() {
				Text = "B1"
			});

			ToolbarItems.Add (new ToolbarItem() {
				Text = "B2"
			});
		}

		public void BuildToolbarItemsC()
		{
			ToolbarItems.Clear ();

			ToolbarItems.Add (new ToolbarItem() {
				Text = "C1"
			});

			ToolbarItems.Add (new ToolbarItem() {
				Text = "C2"
			});

			ToolbarItems.Add (new ToolbarItem() {
				Text = "SC1", 
				Order = ToolbarItemOrder.Secondary
			});

			ToolbarItems.Add (new ToolbarItem() {
				Text = "SC2", 
				Order = ToolbarItemOrder.Secondary
			});
		}

		public void ClickShowItemsA(object sender, EventArgs args)
		{
			BuildToolbarItemsA ();
		}

		public void ClickShowItemsB(object sender, EventArgs args)
		{
			BuildToolbarItemsB ();
		}

		public void ClickShowItemsC(object sender, EventArgs args)
		{
			BuildToolbarItemsC ();
		}

		public async void OpenModalPage(object sender, EventArgs args)
		{
			await Navigation.PushModalAsync (new NavigationPage(new ModalView ()));
		}
	}
}

