﻿using System;
using Xamarin.Forms.Platform.iOS;
using Xamarin.Forms;
using UIKit;
using BlankProject.Controls;
using BlankProject.iOS.Renders;

[assembly: ExportRenderer (typeof (EntryTableView), typeof (EntryTableViewRenderer))]
namespace BlankProject.iOS.Renders
{
	public class EntryTableViewRenderer : EntryRenderer
	{
		protected override void OnElementChanged (ElementChangedEventArgs<Entry> e)
		{
			base.OnElementChanged (e);

			Control.BorderStyle = UITextBorderStyle.None;
			Control.TextColor = UIColor.Gray;
		}
	}
}

