﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using BlankProject.ViewModels;

namespace BlankProject.Views
{
	public partial class SwitchView : ContentPage
	{
		private SwitchViewModel viewModel { get; set; }

		public SwitchView ()
		{
			InitializeComponent ();

			viewModel = new SwitchViewModel ();
			viewModel.IsEnable = true;

			BindingContext = viewModel;
		}

		public void ToggleActive(object sender, EventArgs args)
		{
			viewModel.IsEnable = !viewModel.IsEnable;
		}
	}
}

