﻿using BlankProject.ViewModels;
using System;
using Xamarin.Forms;

namespace BlankProject.Views
{
    public partial class TabbedPageA1View : ContentPage
    {
        public TabbedPageA1ViewModel viewModel;

        public TabbedPageA1View()
        {
            InitializeComponent();

            viewModel = new TabbedPageA1ViewModel();
            BindingContext = viewModel;
        }

        public async void GoToTabbedPageA2(object sender, EventArgs args)
        {
            await Navigation.PushAsync(new TabbedPageA2View());
        }
    }
}
