﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using BlankProject.ViewModels;
using BlankProject.Utils;

namespace BlankProject.Views
{
	public partial class TableViewFormView : ContentPage
	{
		private TableViewFormViewModel viewModel;

		public TableViewFormView ()
		{
			InitializeComponent ();

			viewModel = new TableViewFormViewModel ();
			BindingContext = viewModel;
		}

		public void OnTappedViewCell(object sender, EventArgs args)
		{
			if (viewModel.IsEdit.Equals (false)) 
			{
				return;
			}

			var view = (((sender as ViewCell).View as StackLayout).Children [0] as StackLayout).Children [2];
			view.Focus ();
		}

		public async void OpenDetailViewCell(object sender, EventArgs args)
		{
			await Navigation.PushAsync (new TableViewFormDetailView());
		}
	}
}

